Package org.flowable.task.api

# Interface Task

All Superinterfaces:
  `TaskInfo`

public interface Task extends TaskInfo
Represents one task for a human user.

Author:
  Joram Barrez, Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLAIMED`
  `static final String`
  `COMPLETED`
  `static final String`
  `CREATED`
  `static final int`
  `DEFAULT_PRIORITY`
  Default value used for priority when a new `Task` is created.
  `static final String`
  `IN_PROGRESS`
  `static final String`
  `SUSPENDED`
  `static final String`
  `TERMINATED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DelegationState`
  `getDelegationState()`
  The current `DelegationState` for this task.
  `boolean`
  `isSuspended()`
  Indicates whether this task is suspended or not.
  `void`
  `setAssignee(String assignee)`
  The user id of the person to which this task is delegated.
  `void`
  `setCategory(String category)`
  Change the category of the task.
  `void`
  `setDelegationState(DelegationState delegationState)`
  The current `DelegationState` for this task.
  `void`
  `setDescription(String description)`
  Change the description of the task
  `void`
  `setDueDate(Date dueDate)`
  Change due date of the task.
  `void`
  `setFormKey(String formKey)`
  Change the form key of the task
  `void`
  `setLocalizedDescription(String description)`
  Sets an optional localized description for the task.
  `void`
  `setLocalizedName(String name)`
  Sets an optional localized name for the task.
  `void`
  `setName(String name)`
  Name or title of the task.
  `void`
  `setOwner(String owner)`
  The user id of the person that is responsible for this task.
  `void`
  `setParentTaskId(String parentTaskId)`
  the parent task for which this task is a subtask
  `void`
  `setPriority(int priority)`
  Sets the indication of how important/urgent this task is
  `void`
  `setTenantId(String tenantId)`
  Change the tenantId of the task

  ### Methods inherited from interface org.flowable.task.api.TaskInfo

  `getAssignee, getCaseVariables, getCategory, getClaimedBy, getClaimTime, getCreateTime, getDescription, getDueDate, getExecutionId, getFormKey, getId, getIdentityLinks, getInProgressStartDueDate, getInProgressStartedBy, getInProgressStartTime, getName, getOwner, getParentTaskId, getPriority, getProcessDefinitionId, getProcessInstanceId, getProcessVariables, getPropagatedStageInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getState, getSubScopeId, getSuspendedBy, getSuspendedTime, getTaskDefinitionId, getTaskDefinitionKey, getTaskLocalVariables, getTenantId`

- ## Field Details

  - ### CREATED

    static final String CREATED
    See Also:
      - Constant Field Values

  - ### CLAIMED

    static final String CLAIMED
    See Also:
      - Constant Field Values

  - ### IN_PROGRESS

    static final String IN_PROGRESS
    See Also:
      - Constant Field Values

  - ### SUSPENDED

    static final String SUSPENDED
    See Also:
      - Constant Field Values

  - ### COMPLETED

    static final String COMPLETED
    See Also:
      - Constant Field Values

  - ### TERMINATED

    static final String TERMINATED
    See Also:
      - Constant Field Values

  - ### DEFAULT_PRIORITY

    static final int DEFAULT_PRIORITY
    Default value used for priority when a new `Task` is created.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setName

    void setName(String name)
    Name or title of the task.

  - ### setLocalizedName

    void setLocalizedName(String name)
    Sets an optional localized name for the task.

  - ### setDescription

    void setDescription(String description)
    Change the description of the task

  - ### setLocalizedDescription

    void setLocalizedDescription(String description)
    Sets an optional localized description for the task.

  - ### setPriority

    void setPriority(int priority)
    Sets the indication of how important/urgent this task is

  - ### setOwner

    void setOwner(String owner)
    The user id of the person that is responsible for this task.

  - ### setAssignee

    void setAssignee(String assignee)
    The user id of the person to which this task is delegated.

  - ### getDelegationState

    DelegationState getDelegationState()
    The current `DelegationState` for this task.

  - ### setDelegationState

    void setDelegationState(DelegationState delegationState)
    The current `DelegationState` for this task.

  - ### setDueDate

    void setDueDate(Date dueDate)
    Change due date of the task.

  - ### setCategory

    void setCategory(String category)
    Change the category of the task. This is an optional field and allows to 'tag' tasks as belonging to a certain category.

  - ### setParentTaskId

    void setParentTaskId(String parentTaskId)
    the parent task for which this task is a subtask

  - ### setTenantId

    void setTenantId(String tenantId)
    Change the tenantId of the task

  - ### setFormKey

    void setFormKey(String formKey)
    Change the form key of the task

  - ### isSuspended

    boolean isSuspended()
    Indicates whether this task is suspended or not.